summaryrefslogtreecommitdiffstats
path: root/libraries/lame
diff options
context:
space:
mode:
author Michiel van Wessem2010-05-11 22:23:47 +0200
committer Erik Hanson2010-05-11 22:23:47 +0200
commit72f3b3faac85826ae5264a67297018b0040a36a5 (patch)
tree91396edabce9d606c86af9fd1fb0cf73237eeeaa /libraries/lame
parent39956f79a2ccd7ad355ea51018f2a2fa10598d5e (diff)
downloadslackbuilds-72f3b3faac85826ae5264a67297018b0040a36a5.tar.gz
libraries/lame: Updated for version 3.98.2
Diffstat (limited to 'libraries/lame')
-rw-r--r--libraries/lame/README6
-rw-r--r--libraries/lame/lame.SlackBuild36
-rw-r--r--libraries/lame/lame.info14
-rw-r--r--libraries/lame/slack-desc2
4 files changed, 32 insertions, 26 deletions
diff --git a/libraries/lame/README b/libraries/lame/README
index 1ed32382a3..052a0cf896 100644
--- a/libraries/lame/README
+++ b/libraries/lame/README
@@ -1,3 +1,3 @@
-LAME is an educational tool to be used for learning about MP3 encoding. The
-goal of the LAME project is to use the open source model to improve the psycho
-acoustics, noise shaping and speed of MP3.
+LAME is an educational tool to be used for learning about MP3 encoding. The
+goal of the LAME project is to use the open source model to improve the
+psycho acoustics, noise shaping and speed of MP3.
diff --git a/libraries/lame/lame.SlackBuild b/libraries/lame/lame.SlackBuild
index a766881838..fcf6e1bc5a 100644
--- a/libraries/lame/lame.SlackBuild
+++ b/libraries/lame/lame.SlackBuild
@@ -1,8 +1,8 @@
#!/bin/sh
# Slackware build script for lame
-
# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# Copyright 2008 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,13 +22,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-set -e
-
PRGNAM=lame
-VERSION=3.97
+SRCVER=398-2
+VERSION=3.98.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -38,17 +38,24 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e # Exit on most errors.
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
-
-cd $PRGNAM-$VERSION
+rm -rf $PRGNAM-$SRCVER
+tar -xzvf $CWD/$PRGNAM-$SRCVER.tar.gz
+cd $PRGNAM-$SRCVER
chown -R root:root .
-chmod -R a-s,u+w,go+r-w .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -61,12 +68,11 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install-strip DESTDIR=$PKG
-if [ -d $PKG/usr/man ]; then
- ( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
- )
-fi
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a API COPYING ChangeLog DEFINES HACKING INSTALL* LICENSE README* \
diff --git a/libraries/lame/lame.info b/libraries/lame/lame.info
index 167471059f..0c5d0d9334 100644
--- a/libraries/lame/lame.info
+++ b/libraries/lame/lame.info
@@ -1,8 +1,8 @@
PRGNAM="lame"
-VERSION="3.97"
-HOMEPAGE="http://www.mp3dev.org"
-DOWNLOAD="http://dl.sourceforge.net/lame/lame-3.97.tar.gz"
-MD5SUM="90a4acbb730d150dfe80de145126eef7"
-MAINTAINER="Martin Lefebvre"
-EMAIL="dadexter@gmail.com"
-APPROVED="rworkman"
+VERSION="3.98.2"
+HOMEPAGE="http://lame.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/lame/lame-398-2.tar.gz"
+MD5SUM="719dae0ee675d0c16e0e89952930ed35"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="Erik Hanson"
diff --git a/libraries/lame/slack-desc b/libraries/lame/slack-desc
index c398b5f848..8093912eb8 100644
--- a/libraries/lame/slack-desc
+++ b/libraries/lame/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
lame: Lame (LAME Ain't an Mp3 Encoder)
lame:
lame: LAME is an educational tool to be used for learning about MP3